Subject: bug#46964: [ELPA]: [PATCH] Replace modus-*-theme with modus-themes from :core

From: Protesilaos Stavrou <[email-masked]>
Date: Tue, 09 Mar 2021 21:08:22 +0200

On 2021-03-09, 15:54 +0000, "Basil L. Contovounesios" <[email-masked]> wrote:

> Protesilaos Stavrou <[email-masked]> writes:
>
>> Thank you!  I have amended the patch using the format you recommended.
>
> Thanks, LGTM.
>
> Have you been able to verify that the tarball is created properly,
> and especially that the contained .info file is nonempty?

No, the build always gives me errors.  Though I assumed something was
wrong on my end (I am not familiar with makefiles).  This is not just
with the modus-themes.  Same for something like project.el.  Please see
the attached file with the backtrace.

On 2021-03-09, 11:46 -0500, Stefan Monnier <[email-masked]> wrote:

>>> - ("modus-operandi-theme":url "https://gitlab.com/protesilaos/modus-themes")
>>> - ("modus-vivendi-theme"	:url "https://gitlab.com/protesilaos/modus-themes")
>> Also wondering if we need to do anything special before "ripping off
>> this bandaid"[1], or can we also get away with the money like MELPA?
>
> I think "overwrite modus-operandi-theme and modus-vivendi-theme with
> a small package which depends on modus-themes for compatibility and prints some
> kind of deprecation warning, maybe via the autoload mechanism" is the
> better way forward (but this can be done calmly once the `modus-themes`
> is confirmed to be in good shape).

Yes, we can look into this once the package is confirmed to work.

I have no strong opinion about how to handle the old packages.  I prefer
to go with whatever is easier for you.

-- 
Protesilaos Stavrou
protesilaos.com